aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorGuy Harris <gharris@sonic.net>2020-12-18 23:19:12 -0800
committerGuy Harris <gharris@sonic.net>2020-12-18 23:19:40 -0800
commit806f524a108280f48af58b41ee7ee9f1f4265a0d (patch)
treefbc8f37e22b616c24ead6dd100a00928f5d4787a /tools
parent6498bde741afdd55904fc80b692a5590471a5069 (diff)
macos-setup: do "make clean", not "make distclean", for zstd.
It has no configure script, so there's no need for "make distclean", and the Makefile supplied with it has no "make distclean" rule; just do "make clean". [skip ci]
Diffstat (limited to 'tools')
-rwxr-xr-xtools/macos-setup.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/tools/macos-setup.sh b/tools/macos-setup.sh
index 12cfc0abc0..8d4b6070cb 100755
--- a/tools/macos-setup.sh
+++ b/tools/macos-setup.sh
@@ -1448,7 +1448,12 @@ uninstall_zstd() {
echo "Uninstalling zstd:"
cd zstd-$installed_zstd_version
$DO_MAKE_UNINSTALL || exit 1
- make distclean || exit 1
+ #
+ # zstd has no configure script, so there's no need for
+ # "make distclean", and the Makefile supplied with it
+ # has no "make distclean" rule; just do "make clean".
+ #
+ make clean || exit 1
cd ..
rm zstd-$installed_zstd_version-done